import 'package:flutter/material.dart';
import 'package:aves/widgets/collection/remote_status_button.dart';
import 'package:aves/model/source/collection_source.dart';

class RemoteControlsSheet extends StatelessWidget {
  final CollectionSource source;

  const RemoteControlsSheet({super.key, required this.source});

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.black87,
      padding: const EdgeInsets.all(16),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          const Text(
            'Controlli Remote',
            style: TextStyle(color: Colors.white, fontSize: 18),
          ),
          const SizedBox(height: 16),
          RemoteStatusButton(source: source),
        ],
      ),
    );
  }
}
